org.apache.lucene.analysis.nl

## Class DutchStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.nl.DutchStemFilter

-     public final class DutchStemFilter
      extends TokenFilter

  A `TokenFilter` that stems Dutch words.

  It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a `DutchStemmer`).

  NOTE: This stemmer does not implement the Snowball algorithm correctly, specifically doubled consonants. It is recommended that you consider using the "Dutch" stemmer in the snowball package instead. This stemmer will likely be deprecated in a future release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DutchStemFilter(TokenStream _in)`
    `DutchStemFilter(TokenStream _in, java.util.Set exclusiontable)` Builds a DutchStemFilter that uses an exclusion table.
    `DutchStemFilter(TokenStream _in, java.util.Set exclusiontable, java.util.Map stemdictionary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()` Returns the next token in the stream, or null at EOS
    `void` | `setExclusionTable(java.util.HashSet exclusiontable)` Set an alternative exclusion list for this filter.
    `void` | `setStemDictionary(java.util.HashMap dict)` Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.
    `void` | `setStemmer(DutchStemmer stemmer)` Set a alternative/custom `DutchStemmer` for this filter.

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DutchStemFilter

          public DutchStemFilter(TokenStream _in)

    - #### DutchStemFilter

          public DutchStemFilter(TokenStream _in,
                                 java.util.Set exclusiontable)

      Builds a DutchStemFilter that uses an exclusion table.

    - #### DutchStemFilter

          public DutchStemFilter(TokenStream _in,
                                 java.util.Set exclusiontable,
                                 java.util.Map stemdictionary)

      Parameters:
        `stemdictionary` - Dictionary of word stem pairs, that overrule the algorithm

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws java.io.IOException

      Returns the next token in the stream, or null at EOS
      Overrides:
        `incrementToken` in class `TokenStream`
      Returns:
        false for end of stream; true otherwise

        Note that this method will be defined abstract in Lucene 3.0.

      Throws:
        `java.io.IOException`

    - #### setStemmer

          public void setStemmer(DutchStemmer stemmer)

      Set a alternative/custom `DutchStemmer` for this filter.

    - #### setExclusionTable

          public void setExclusionTable(java.util.HashSet exclusiontable)

      Set an alternative exclusion list for this filter.

    - #### setStemDictionary

          public void setStemDictionary(java.util.HashMap dict)

      Set dictionary for stemming, this dictionary overrules the algorithm, so you can correct for a particular unwanted word-stem pair.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.